; -- build

[metadata]
name = gwdatafind-server
author = Duncan Meacher
author_email = duncan.meacher@ligo.org
license = GPL-3.0-or-later
license_files = LICENSE
description = The server library for the GWDataFind service
long_description = file: README.md
long_description_content_type = text/markdown
url = https://git.ligo.org/computing/gwdatafind/server
classifiers =
	License :: OSI Approved :: GNU General Public License v3 or later (GPLv3+)
	Natural Language :: English
	Operating System :: Unix
	Programming Language :: Python
	Programming Language :: Python :: 3
	Programming Language :: Python :: 3.6
	Programming Language :: Python :: 3.7
	Programming Language :: Python :: 3.8
	Programming Language :: Python :: 3.9
	Programming Language :: Python :: 3.10
	Topic :: Scientific/Engineering
	Topic :: Scientific/Engineering :: Astronomy
	Topic :: Scientific/Engineering :: Physics
project_urls =
	Bug Tracker = https://git.ligo.org/computing/gwdatafind/server/-/issues
	Documentation = https://computing.docs.ligo.org/gwdatafind/server/
	Source Code = https://git.ligo.org/computing/gwdatafind/server

[options]
packages = find:
python_version = >=3.6
install_requires =
	configobj
	flask >= 2.0.0
	ligo-segments
	scitokens

[options.extras_require]
test =
	pytest >= 3.1.0
docs =
	mkdocs

; -- tools

[flake8]
exclude =
	__pycache__,
	.eggs/,
	.git/,
	build/,
	docs/,
per-file-ignores =
	__init__.py:F401
